using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class Account {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related EducationOrganization resource. */
    public EducationOrganizationReference educationOrganizationReference { get; set; }

    /* The alpha-numeric string that identifies the account. */
    public string number { get; set; }

    /* The financial accounting year. */
    public int? fiscalYear { get; set; }

    /* An unordered collection of accountCodes.  The set of account codes defined for the education accounting system organized by account code type (e.g., fund, function, object) that map to the account. */
    public List<AccountCode> codes { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
