using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class ClassGroup {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related CommunityProviderLocation resource. */
    public CommunityProviderLocationReference communityProviderLocationReference { get; set; }

    /* The name of the class/group of students. */
    public string name { get; set; }

    /* An indication of whether a class or group serves children with special needs. */
    public bool? specialNeedsProvidedFlag { get; set; }

    /* The maximum number of students this provider location can accommodate at any given time. */
    public int? capacity { get; set; }

    /* The number of days per week this class/group meets. */
    public int? daysAvailablePerWeek { get; set; }

    /* The number of hours per day this class/group meets. */
    public int? hoursAvailablePerDay { get; set; }

    /* An unordered collection of classGroupMeetingTimes.  The times and days of week this class/group is in session. */
    public List<ClassGroupMeetingTime> meetingTimes { get; set; }

    /* An unordered collection of classGroupServices.  Defines the services provided to students at this class/group. */
    public List<ClassGroupService> services { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
