using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class GradebookEntry {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related GradingPeriod resource. */
    public GradingPeriodReference gradingPeriodReference { get; set; }

    /* A reference to the related Section resource. */
    public SectionReference sectionReference { get; set; }

    /* The name or title of the activity to be recorded in the gradebook entry. */
    public string title { get; set; }

    /* The date the assignment, homework, or assessment was assigned or executed. */
    public DateTime? dateAssigned { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string type { get; set; }

    /* A detailed description of the entity. */
    public string description { get; set; }

    /* An unordered collection of gradebookEntryLearningObjectives.  Learning Objectives associated with the Gradebook Entry. */
    public List<GradebookEntryLearningObjective> learningObjectives { get; set; }

    /* An unordered collection of gradebookEntryLearningStandards.   */
    public List<GradebookEntryLearningStandard> learningStandards { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
