using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StudentCohortAssociation {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related Cohort resource. */
    public CohortReference cohortReference { get; set; }

    /* A reference to the related Student resource. */
    public StudentReference studentReference { get; set; }

    /* The month, day, and year on which the Student was first identified as part of the Cohort. */
    public DateTime? beginDate { get; set; }

    /* The month, day, and year on which the Student was removed as part of the Cohort. */
    public DateTime? endDate { get; set; }

    /* An unordered collection of studentCohortAssociationSections.  The cohort representing the subdivision of students within one or more sections. For example, a group of students may be given additional instruction and tracked as a cohort. */
    public List<StudentCohortAssociationSection> sections { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
