using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StudentCommunityProviderLocationAssociation {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A reference to the related CommunityProviderLocation resource. */
    public CommunityProviderLocationReference communityProviderLocationReference { get; set; }

    /* A reference to the related Student resource. */
    public StudentReference studentReference { get; set; }

    /* The month, day, and year on which the student began participating at a provider location. */
    public DateTime? beginDate { get; set; }

    /* The month, day, and year on which the student stopped participating at a provider location. */
    public DateTime? endDate { get; set; }

    /* The reason the child left the community provider. */
    public string reasonExitedDescriptor { get; set; }

    /* No documentation on this field.. */
    public string enrollmentStatus { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
