using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StudentProgramParticipation {
    /* The program the student is associated with or receiving services from. */
    public string programType { get; set; }

    /* The date the student was associated with the program or service. */
    public DateTime? beginDate { get; set; }

    /* The date the Program participation ended. */
    public DateTime? endDate { get; set; }

    /* The person, organization, or department that made a student designation. */
    public string designatedBy { get; set; }

    /* (MI-EXT) The full-time equivalency (FTE) that the participant spends in the program reported.  */
    public double? enrollmentPercent { get; set; }

    /* An unordered collection of studentProgramParticipationProgramCharacteristics.  Reflects important characteristics of the Program that a Student participates in, such as categories or particular indications. */
    public List<StudentProgramParticipationProgramCharacteristic> programCharacteristics { get; set; }

    /* An unordered collection of studentProgramParticipationStatuses.  (MI EXT) To indicate the status of the students participation in the program (i. g. eligible, started, completed, not eligible) */
    public List<StudentProgramParticipationStatus> statuses { get; set; }

    }
}
